Package com.sap.ai.sdk.foundationmodels.openai.model

# Enum Class OpenAiChatCompletionTool.ToolType

java.lang.Object
java.lang.Enum<OpenAiChatCompletionTool.ToolType>
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatCompletionTool.ToolType

All Implemented Interfaces:
  `Serializable`, `Comparable<OpenAiChatCompletionTool.ToolType>`, `Constable`

Enclosing class:
  `OpenAiChatCompletionTool`

public static enum OpenAiChatCompletionTool.ToolType extends Enum<OpenAiChatCompletionTool.ToolType>
The type of the tool. Currently, only `function` is supported.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FUNCTION`
  Specifies a tool the model should use.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OpenAiChatCompletionTool.ToolType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OpenAiChatCompletionTool.ToolType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FUNCTION

    public static final OpenAiChatCompletionTool.ToolType FUNCTION
    Specifies a tool the model should use. Use to force the model to call a specific function.

- ## Method Details

  - ### values

    public static OpenAiChatCompletionTool.ToolType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OpenAiChatCompletionTool.ToolType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null